Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452425 - /sbin/{restore,dump,rdump,rrestore}.static are symlinks to their dynamic counterparts
Summary: /sbin/{restore,dump,rdump,rrestore}.static are symlinks to their dynamic coun...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dump
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 19:55 UTC by Jason Bradley Nance
Modified: 2013-04-30 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 10:12:06 UTC


Attachments (Terms of Use)

Description Jason Bradley Nance 2008-06-22 19:55:39 UTC
Description of problem:
/sbin/restore.static, /sbin/dump.static, /sbin/rdump.static, and
/sbin/rrestore.static are symlinks to their dynamic counterparts instead of
actually being statical version of these executables.


Version-Release number of selected component (if applicable):
dump-0.4b41-7.1.fc9.i386


Additional info:
To be honest, I'm not sure if this is actually a bug or not.  It just seems
wrong that the *.static links point to dynamic versions.  I discovered this
while researching bug 452423.

Comment 1 Adam Tkac 2008-06-23 08:53:07 UTC
We decided there is no benefit from statically linked dump. In F9 I substituted
static versions by symlinks for backward compatibility. I'm going to remove
those symlinks in rawhide/F10.

Comment 2 Adam Tkac 2008-06-23 10:12:06 UTC
compat symlinks are removed in dump-0.4b41-8.fc10


Note You need to log in before you can comment on or make changes to this bug.